Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.esf
Class SignerAttribute

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.esf.SignerAttribute

All Implemented Interfaces:
  DEREncodable

    public class SignerAttribute

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`SignerAttribute(ASN1Sequence claimedAttributes)`
`SignerAttribute(AttributeCertificate certifiedAttributes)`

Method Summary
`AttributeCertificate` | `getCertifiedAttributes()`
`ASN1Sequence` | `getClaimedAttributes()`
`static SignerAttribute` | `getInstance(java.lang.Object o)`
`DERObject` | `toASN1Object()` SignerAttribute ::= SEQUENCE OF CHOICE { claimedAttributes [0] ClaimedAttributes, certifiedAttributes [1] CertifiedAttributes } ClaimedAttributes ::= SEQUENCE OF Attribute CertifiedAttributes ::= AttributeCertificate -- as defined in RFC 3281: see clause 4.1.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignerAttribute

    public SignerAttribute(ASN1Sequence claimedAttributes)

### SignerAttribute

    public SignerAttribute(AttributeCertificate certifiedAttributes)

Method Detail

### getInstance

    public static SignerAttribute getInstance(java.lang.Object o)

### getClaimedAttributes

    public ASN1Sequence getClaimedAttributes()

### getCertifiedAttributes

    public AttributeCertificate getCertifiedAttributes()

### toASN1Object

    public DERObject toASN1Object()

        SignerAttribute ::= SEQUENCE OF CHOICE {
            claimedAttributes   [0] ClaimedAttributes,
            certifiedAttributes [1] CertifiedAttributes }

        ClaimedAttributes ::= SEQUENCE OF Attribute
        CertifiedAttributes ::= AttributeCertificate -- as defined in RFC 3281: see clause 4.1.

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD